const fs = require('fs-extra')
const download = require('download-git-repo')
const os = require('os')
const path = require('path')

const config = require('../config')
const { remotePresetMap } = config

const loadRemotePreset = async function (name, targetDir, clone) {
  const tmpdir = path.join(os.tmpdir(), 'gy-cli')

  await fs.remove(tmpdir)

  await new Promise((resolve, reject) => {
    download(
      remotePresetMap[name],
      tmpdir,
      {
        clone
      },
      err => {
        if (err) return reject(err)
        resolve()
      }
    )
  })

  return {
    targetDir,
    tmpdir
  }
}

module.exports = loadRemotePreset
